import { string, bool } from 'prop-types';
import styled, { css, keyframes } from 'styled-components';

function _taggedTemplateLiteralLoose(strings, raw) {
  if (!raw) {
    raw = strings.slice(0);
  }

  strings.raw = raw;
  return strings;
}

function _templateObject3() {
  var data = _taggedTemplateLiteralLoose(["\n      * {\n        animation: ", " 1.5s\n          infinite ease-in-out;\n        color: transparent !important;\n        user-select: none;\n        opacity: 0.25;\n      }\n    "]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteralLoose(["\n    ", "\n  "]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteralLoose(["\n  0% {\n    background: ", ";\n  }\n  50% {\n    background: ", ";\n  }\n  100% {\n    background: ", ";\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

var animation = function animation(_ref) {
  var backgroundColor = _ref.backgroundColor,
      foregroundColor = _ref.foregroundColor;
  return keyframes(_templateObject(), backgroundColor, foregroundColor, backgroundColor);
};

var StyledContentLoader = styled.span(function (_ref2) {
  var backgroundColor = _ref2.backgroundColor,
      foregroundColor = _ref2.foregroundColor,
      isLoading = _ref2.isLoading;
  return css(_templateObject2(), isLoading && css(_templateObject3(), function () {
    return animation({
      backgroundColor: backgroundColor,
      foregroundColor: foregroundColor
    });
  }));
});
StyledContentLoader.propTypes = {
  backgroundColor: string,
  foregroundColor: string,
  isLoading: bool
};
StyledContentLoader.defaultProps = {
  backgroundColor: '#fafafa',
  foregroundColor: '#cccccc',
  isLoading: true
};

export default StyledContentLoader;
//# sourceMappingURL=index.modern.js.map
